html,
body {
  margin: 0;
  padding: 0;
  height: 100vh;
  width: 100%;
  font-family: "Montserrat";
}

* {
  margin: 0;
  padding: 0;
}

.container-fluid {
  width: 100%;
  height: 100%;
  margin: 0px;
  padding: 0px;
}

.row {
  height: 100%;
  margin: 0;
  padding: 0;
}

#columnGambar {
  position: relative;
  background-image: url("/img/Asset 1 1.svg");
  background-repeat: no-repeat;
  max-width: 707px;
  max-height: 100%;
}

#logoPolytron {
  position: absolute;
  top: 10%;
  left: 10%;
}

#isiColumnGambar {
  position: absolute;
  top: 40%;
  left: 10%;
  color: white;
  max-width: 100%;
  width: auto;
}

#isiColumnGambar > h1 {
  font-size: 3.5em;
  font-weight: bold;
}

#columnForm {
  width: 100%;
  max-width: 100%;
  max-height: 100%;
}

#divColumnForm {
  width: 50%;
}

#divColumnForm > h2 {
  font-weight: bolder;
}

#divColumnForm > span {
  color: #a1a1a1;
}

input {
  border-radius: 16px;
  box-shadow: 0px 3px 2px rgba(71, 71, 71, 0.1);
  height: 50px;
}

#labelUsername {
  font-weight: bold;
}

#labelPassword {
  font-weight: bold;
  margin-top: 5%;
}

#passwordField {
  display: flex;
  flex-direction: row;
  align-items: center;
}

#eyePassword {
  cursor: pointer;
  margin-left: -30px;
}

#eyePassword_1 {
  cursor: pointer;
  margin-left: -30px;
}

#eyePassword_2 {
  cursor: pointer;
  margin-left: -30px;
}

#eyePassword_3 {
  cursor: pointer;
  margin-left: -30px;
}

#buttonLogin {
  margin-top: 16px;
  background-color: #ed671c;
  color: white;
  font-weight: 550;
  border-radius: 16px;
  height: 50px;
}

#close-error-login-toast:hover {
  cursor: pointer;
}

#error-login-toast {
  /* Firefox 28, Opera 22, IE 11: */
  animation: fadeIn 1s linear;

  /* Firefox 28, Opera 22, IE 11: */
  animation: fadeOut 1s linear;
}

/* defining an animation '@keyframes', naming the animation 'fadeIn': */
@keyframes fadeIn {
  /* the starting point: */
  from {
    /* the starting property and property-value: */
    opacity: 0;
  }
  /* the finishing point: */
  to {
    /* the finishing property and property-value: */
    opacity: 1;
  }
}

@keyframes fadeOut {
  /* the starting point: */
  from {
    /* the starting property and property-value: */
    opacity: 1;
  }
  /* the finishing point: */
  to {
    /* the finishing property and property-value: */
    opacity: 0;
  }
}

/* @media (max-width: 560px) {
  #columnGambar{
    order: 2;
  }
} */

@media (max-width: 560px) {
  #error-login-toast {
    width: auto;
    max-width: 50%;
    height: auto;
    max-height: 60px;
    top: 33%;
    visibility: hidden;
    font-size: 0.6em;
    margin-right: 0px;
  }

  #error-login-toast > img {
    width: auto;
    max-width: 15%;
  }

  #error-login-toast-mobile {
    width: auto;
    max-width: 80%;
    height: 60px;
    background-color: #fdded5;
    border-radius: 1em;
    padding: 0;
    right: 0;
    margin-top: 15px;
    font-size: 2.5vw;
  }

  #error-login-toast-mobile > img {
    width: auto;
    max-width: 15%;
  }

  #close-error-login-toast-mobile {
    position: relative;
    right: -13%;
  }
}

@media (max-width: 768px) {
  #columnGambar {
    max-width: 100%;
    background-size: cover;
    justify-content: center;
  }

  #logoPolytron {
    position: relative;
    top: auto;
    left: auto;
  }

  #isiColumnGambar {
    position: relative;
    top: auto;
    left: auto;
    text-align: center;
    color: white;
  }

  #isiColumnGambar > h1,
  #isiColumnGambar > h2 {
    font-size: 2em;
  }

  #columnForm {
    min-width: 50%;
    max-width: 100%;
    width: auto;
  }

  #divColumnForm {
    width: 100%;
  }

  #labelUsername,
  #labelPassword {
    margin-top: 10px;
  }

  input {
    width: 100%;
  }
}

@media (min-width: 561px) and (max-width: 944px) {
  #error-login-toast {
    width: auto;
    max-width: 40%;
    visibility: hidden;
    font-size: small;
  }

  @media (min-width: 768px) and (max-width: 1024px) {
    #columnGambar {
      min-width: 50%;
      width: auto;
      max-width: 100%;
      background-size: cover;
      justify-content: center;
    }

    #logoPolytron {
      position: relative;
      top: auto;
      left: auto;
    }

    #isiColumnGambar {
      position: relative;
      top: auto;
      left: auto;
      text-align: center;
      color: white;
    }

    #isiColumnGambar > h1,
    #isiColumnGambar > h2 {
      font-size: 2em;
    }

    #columnForm {
      max-width: 100%;
      width: auto;
    }

    #divColumnForm {
      width: 100%;
    }

    #labelUsername,
    #labelPassword {
      margin-top: 10px;
    }

    input {
      width: 100%;
    }
  }
}
